# Interest rates, borrowed and deposited amounts

## What is this dataset?

This data provides information about lending pools. It shows data such as how many tokens has been deposited and borrowed, as well as the interest rates for lending and borrowing at each block.

### File structure details

* File Name: \[blockchain]\_\[kaiko\_exchange\_code]\_\[underlying\_asset\_symbol]\_\[underlying\_asset\_address]\_\[date].csv
  * Files are created on a daily basis.
  * example: ethereum\_aav2\_WETH\_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2\_2023-02-14.csv.gz
* Cut-off time: `00:00:00 UTC`
  * We use the timestamp of the block in order to cut-off the data points between days.
* Column Delimeter: , (comma)
* Decimal Mark (in numbers): . (dot)

| Field                  | Description                                                   | Example                                      |
| ---------------------- | ------------------------------------------------------------- | -------------------------------------------- |
| `blockchain`           | The blockchain on which the transaction happened.             | `ethereum`                                   |
| `block_number`         | The height of the block in which the transaction happened.    | `16025918`                                   |
| `datetime`             | The timestamp of the block in which the transaction happened. | `1669124591`                                 |
| `protocol`             | Code of the L\&B protocol.                                    | `aave/v2`                                    |
| `asset_symbol`         | Symbol of the underlying asset.                               | `crv`                                        |
| `asset_address`        | Address of the underlying asset.                              | `0xd533a949740bb3306d119cc777fa900ba034cd52` |
| `asset_decimals`       | Decimals of the underlying asset.                             | `18`                                         |
| `receipt_symbol`       | Symbol of the receipt asset.                                  | `acrv`                                       |
| `receipt_address`      | Address of the receipt asset.                                 | `0x8dae6cb04688c62d939ed9b68d32bc62e49970b1` |
| `receipt_decimals`     | Decimals of the receipt asset.                                | `18`                                         |
| `total_liquidity`      | The total amount of liquidity for this pool.                  | `1486160`                                    |
| `available_liquidity`  | The total amount of available liquidity for this pool.        | `1279630`                                    |
| `total_borrowed`       | The total amount of tokens borrowed for this pool.            | `206535`                                     |
| `supply_rate`          | The supply rate.                                              | `0.00289186`                                 |
| `stable_borrow_rate`   | The stable borrow rate.                                       | `0.0442648`                                  |
| `variable_borrow_rate` | The variable borrow rate.                                     | `0.0208089`                                  |
| `...`                  | Additional fields specific to each exchange. See below.       | `0`                                          |

**Additional fields**

AAVE v1

| Field                     | Description                                                             | Example        |
| ------------------------- | ----------------------------------------------------------------------- | -------------- |
| `total_borrowed_stable`   | The total amount of assets borrowed with a stable rate for this pool.   | `0`            |
| `total_borrowed_variable` | The total amount of assets borrowed with a variable rate for this pool. | `41872.928778` |

AAVE v2

| Field                     | Description                                                             | Example            |
| ------------------------- | ----------------------------------------------------------------------- | ------------------ |
| `total_borrowed_stable`   | The total amount of assets borrowed with a stable rate for this pool.   | `4162389.524515`   |
| `total_borrowed_variable` | The total amount of assets borrowed with a variable rate for this pool. | `345075360.304631` |
| `total_reserves`          | Total liquidity - All of the debt tokens supply.                        | `51387128.92415`   |

Compound

| Field            | Description                                      | Example          |
| ---------------- | ------------------------------------------------ | ---------------- |
| `total_reserves` | Total liquidity - All of the debt tokens supply. | `3486037.365878` |

Cream

| Field            | Description                                      | Example         |
| ---------------- | ------------------------------------------------ | --------------- |
| `total_reserves` | Total liquidity - All of the debt tokens supply. | `033661.402437` |

Maker

| Field              | Description                                                      | Example   |
| ------------------ | ---------------------------------------------------------------- | --------- |
| `collateral_ratio` | Minimum ratio of collateral before liquidation.                  | `1.5`     |
| `debt_ceiling`     | Maximum amount of DAI that can be emitted on this type of vault. | `2500000` |
| `debt_floor`       | Minimum amount of DAI that can be minted for this type of Vault. | `2000`    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/cloud-delivery/data-feeds/level-2-aggregations/interest-rates-borrowed-and-deposited-amounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
